export const updateLocation = async (idLocation, idMap, newCoords) => {
  try {
    const response = await fetch("/api/talas_v5_DB/bereich/updateBereich", {
      method: "PUT",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        idLocation,
        idMap,
        x: newCoords.x,
        y: newCoords.y,
      }),
    });

    if (!response.ok) {
      throw new Error("Fehler beim Aktualisieren der Koordinaten");
    }

    const data = await response.json();
    console.log("Koordinaten erfolgreich aktualisiert:", data);
    return data;
  } catch (error) {
    console.error("Fehler beim Aufruf von updateLocation:", error);
    throw error;
  }
};
